# Record Class LLTelemetryConfiguration

java.lang.Object
java.lang.Record
com.io7m.looseleaf.server.api.LLTelemetryConfiguration

Record Components:
  `logicalServiceName` - The logical service name
  `logs` - The configuration for OTLP logs
  `metrics` - The configuration for OTLP metrics
  `traces` - The configuration for OTLP traces

public record LLTelemetryConfiguration(String logicalServiceName, Optional<LLLogs> logs, Optional<LLMetrics> metrics, Optional<LLTraces> traces) extends Record
Configuration information for OpenTelemetry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LLTelemetryConfiguration(String logicalServiceName, Optional<LLLogs> logs, Optional<LLMetrics> metrics, Optional<LLTraces> traces)`
  Configuration information for OpenTelemetry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `logicalServiceName()`
  Returns the value of the `logicalServiceName` record component.
  `Optional<LLLogs>`
  `logs()`
  Returns the value of the `logs` record component.
  `Optional<LLMetrics>`
  `metrics()`
  Returns the value of the `metrics` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Optional<LLTraces>`
  `traces()`
  Returns the value of the `traces` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LLTelemetryConfiguration

    public LLTelemetryConfiguration(String logicalServiceName, Optional<LLLogs> logs, Optional<LLMetrics> metrics, Optional<LLTraces> traces)
    Configuration information for OpenTelemetry.
    Parameters:
      `logicalServiceName` - The logical service name
      `logs` - The configuration for OTLP logs
      `metrics` - The configuration for OTLP metrics
      `traces` - The configuration for OTLP traces

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### logicalServiceName

    public String logicalServiceName()
    Returns the value of the `logicalServiceName` record component.
    Returns:
      the value of the `logicalServiceName` record component

  - ### logs

    public Optional<LLLogs> logs()
    Returns the value of the `logs` record component.
    Returns:
      the value of the `logs` record component

  - ### metrics

    public Optional<LLMetrics> metrics()
    Returns the value of the `metrics` record component.
    Returns:
      the value of the `metrics` record component

  - ### traces

    public Optional<LLTraces> traces()
    Returns the value of the `traces` record component.
    Returns:
      the value of the `traces` record component